Package org.springframework.jdbc.core.metadata

# Class TableMetaDataProviderFactory

java.lang.Object
org.springframework.jdbc.core.metadata.TableMetaDataProviderFactory

public final class TableMetaDataProviderFactory extends Object
Factory used to create a `TableMetaDataProvider` implementation based on the type of database being used.

Since:
  2.5
Author:
  Thomas Risberg

## Method Summary

Modifier and Type
Method
Description
`static TableMetaDataProvider`
`createMetaDataProvider(DataSource dataSource, TableMetaDataContext context)`
Create a `TableMetaDataProvider` based on the database meta-data.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### createMetaDataProvider

public static TableMetaDataProvider createMetaDataProvider(DataSource dataSource, TableMetaDataContext context)
Create a `TableMetaDataProvider` based on the database meta-data.

Parameters:
  `dataSource` - used to retrieve meta-data
  `context` - the class that holds configuration and meta-data
Returns:
  instance of the TableMetaDataProvider implementation to be used